﻿using Dexter.Dependency;
using Dexter.Dependency.Installation;
using Dexter.Scheduler;

namespace Dexter.Jobs.Statistics.Installer {
	public class JobInstaller : ILayerInstaller{
		/// <summary>
		/// 	Installs all the component needed by the assembly.
		/// </summary>
		/// <param name = "container">The container.</param>
		public void ServiceRegistration ( IDexterContainerRegister container ) {
			container.Register <IJob , StatisticsJob> ( "{d3a66a17-92f1-4398-a41e-e23a4f7b7f8a}" , LifeCycle.Singleton );
		}

		/// <summary>
		/// 	Setups the service.
		/// </summary>
		/// <param name = "container">The container.</param>
		public void ServiceRegistrationComplete ( IDexterContainerResolver container ) {
			
		}

		/// <summary>
		/// 	Setups the service.
		/// </summary>
		/// <param name = "container">The container.</param>
		public void ApplicationStarted ( IDexterContainerResolver container ) {
			
		}
	}
}
