﻿using Dexter.Dependency;
using Dexter.Dependency.Installation;
using Dexter.Plugins.SelectiveTwitter.Jobs;
using Dexter.Scheduler;

namespace Dexter.Plugins.SelectiveTwitter.Installer {
	public class PlugininInstaller : ILayerInstaller {
		#region ILayerInstaller Members

		public void ServiceRegistration(IDexterContainerRegister container) {
			container.Register<IJob, TwitterGrabJob>("{ecc61e67-4444-4b0f-976e-d44bc0ee4c14}", LifeCycle.Singleton);
		}

		public void ServiceRegistrationComplete(IDexterContainerResolver container) {}

		public void ApplicationStarted(IDexterContainerResolver container) {}

		#endregion
	}
}