﻿
namespace Dexter.Async.Executor {
	/// <summary>
	/// This is the interface that permits the execution of an action into a different
	/// thread, it is necessary so we can intercept the moment when a business service
	/// begin executing code on a different thread.
	/// </summary>
	public interface IAsyncExecutor {
		void Execute ( InvocationToken token );
	}
}
