using System;

namespace Dexter.Async.Services {
	public interface IAsyncService {
		/// <summary>
		/// Calls a function asyncronously.
		/// </summary>
		/// <param name="call">The call.</param>
		/// <param name="state">The state.</param>
		/// <returns></returns>
		VoidAsyncResult AsyncCall ( Action <Object> call , Object state );
	}
}