﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		DexterInfo.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            DexterInfo.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;

namespace Dexter.Core
{
	public class DexterInfo {
		readonly static Version version;
		readonly static string userAgent;
		readonly static string generator;
		readonly static string website;

		static DexterInfo ( ) {
			version = typeof(DexterInfo).Assembly.GetName().Version;
			userAgent = string.Format("Dexter/{0}", version);
			website = "http://www.dexterblogengine.com";
			generator = string.Format ( "Dexter Blog Engine ({0}) version {1}",website,version);
			
		}

		public static Version Version {
			get { return version; }
		}

		public static string UserAgent {
			get { return userAgent; }
		}

		public static string Generator {
			get { return generator; }
		}

		public static string Website {
			get { return website; }
		}
	}
}
