﻿
using System;
using System.Collections.Generic;

namespace Dexter.DataTransferObject {
	[Serializable]
	public class CategoryDto {
		/// <summary>
		/// Initializes a new instance of the <see cref="T:System.Object"/> class.
		/// </summary>
		public CategoryDto ( ) {
			Categories = new List <CategoryDto> ( );
		}

		public bool IsChild
		{
			get { return Parent != null; }
		}

		public int Id { get; set; }
		public string Name { get; set; }
		public Uri FeedBurnerUrl { get; set; }
		public int ContentNumber { get; set; }
		public bool IsDefaultCategory { get; set; }
		public CategoryDto Parent { get; set; }
		public IList<CategoryDto> Categories { get; set; }
	}
}