﻿using System;
using System.Collections.Generic;

namespace Dexter.DataTransferObject
{
	[Serializable]
	public class PageDto : PostLightDto
	{
		public bool BreakOnAggregate { get; set; }
		public string FormattedBody { get; set; }
		public bool CommentEnabled { get; set; }
		public bool ShowOnAggregate { get; set; }
		public bool ShowOnSearch { get; set; }
		public int TotalComments { get; set; }
		public int TotalTrackback { get; set; }
		public string Username { get; set; }
		public string[] Tags { get; set; }
		public IEnumerable<CommentDto> Comments { get; set; }
		public IEnumerable<TrackbackDto> TrackBacks { get; set; }

		public PageDto Parent { get; set; }
		public int SortOrder { get; set; }
	}
}