﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		SearchItem.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;

namespace Dexter.DataTransferObject {
	[Serializable]
	public class SearchItem {
		public int Id { get; set; }
		public float Score { get; set; }
		public string Title { get; set; }
		public DateTime PublishDate { get; set; }
		public bool Publish { get; set; }
		public string Abstract { get; set; }
		public string FormattedBody { get; set; }
		public string Body { get; set; }
		public string Slug { get; set; }
		public string[] Categories { get; set; }
		public string[] Tags { get; set; }
		public int TotalComments { get; set; }
		public int TotalTrackback { get; set; }
		public string Username { get; set; }

		public string HightligthText { get; set; }
	}
}
