﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		SearchResult.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;
using Dexter.Domain.Results;

namespace Dexter.DataTransferObject {
	[Serializable]
	public class SearchResult {
		protected SearchResult ( ) {}

		public SearchResult ( string searchText , TimeSpan searchExecutionTime , string didYouMean , string[] searchWords , IPagedResult <SearchItem> elements ) {
			SearchText = searchText;
			SearchExecutionTime = searchExecutionTime;
			DidYouMean = didYouMean;
			SearchWords = searchWords;
			Elements = elements;
		}

		public string SearchText { get; protected set; }
		public TimeSpan SearchExecutionTime { get; protected set; }
		public string DidYouMean { get; protected set; }
		public string[] SearchWords { get; set; }
		public IPagedResult <SearchItem> Elements { get; protected set; }
	}
}
