﻿using System;
using Dexter.Domain.Model;

namespace Dexter.Domain.Exceptions {

	/// <summary>
	/// This exception will raise when a error when the <see cref="Post"/> will not fund.
	/// </summary>
	public class PostNotFoundException : SystemException {
		/// <summary>
		/// Initializes a new instance of the <see cref="PostNotFoundException"/> class.
		/// </summary>
		public PostNotFoundException ( ) {}
		/// <summary>
		/// Initializes a new instance of the <see cref="PostNotFoundException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
		public PostNotFoundException ( string message ) : base ( message ) {}
		/// <summary>
		/// Initializes a new instance of the <see cref="PostNotFoundException"/> class.
		/// </summary>
		/// <param name="message">The message.</param>
		/// <param name="innerException">The inner exception.</param>
		public PostNotFoundException ( string message , Exception innerException ) : base ( message , innerException ) {}
	}
}
