﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		BlogRoll.FamilyType.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            BlogRoll.FamilyType.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
namespace Dexter.Domain.Model {
	public enum BlogRollFamilyType : short {
		/// <summary>
		/// 	Nothing is used for specify that 
		/// 	the blogroll in not for a family person
		/// </summary>
		Nothing = 0 ,
		/// <summary>
		/// 	Child BlogRoll
		/// </summary>
		Child = 1 ,
		/// <summary>
		/// 	Parent BlogRoll
		/// </summary>
		Parent = 2 ,
		/// <summary>
		/// 	Sibling BlogRoll
		/// </summary>
		Sibling = 3 ,
		/// <summary>
		/// 	Spouse BlogRoll
		/// </summary>
		Spouse = 4 ,
		/// <summary>
		/// 	Kin BlogRoll
		/// </summary>
		Kin = 5
	}
}
