﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		ModerationType.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            ModerationType.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
namespace Dexter.Domain.Model {
	/// <summary>
	///		The Moderation Type for a Item
	/// </summary>
	public enum ModerationType {
		/// <summary>
		/// Use First when you don't want show a comment without you approval.
		/// </summary>
		First = 0 ,

		/// <summary>
		/// Use First when you want show a comment without you approval.
		/// </summary>
		Post = 1
	}
}
