﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		Referrer.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            Referrer.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;

namespace Dexter.Domain.Model {
	public partial class Referrer : EntityBase {
		protected Referrer ( ) {}

		internal Referrer ( Uri url , Uri referrerUrl ) {
			Url = url;
			ReferrerUrl = referrerUrl;
		}

		public virtual Uri Url { get; protected set; }
		public virtual Uri ReferrerUrl { get; protected set; }
		public virtual bool IsSpam { get; set; }
	}
}
