﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		Role.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            Role.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System.Collections.Generic;

namespace Dexter.Domain.Model {
	public partial class 
	Role : EntityBase {
		string name;

		protected Role ( ) {
			Users = new List <User> ( );
		}

		public Role ( string name ) : this ( ) {
			Name = name;
		}

		public virtual string Description { get; set; }
		public virtual string LoweredName { get; protected set; }

		public virtual string Name {
			get { return name; }
			set {
				name = value;
				LoweredName = value.ToLower ( );
			}
		}

		public virtual IList <User> Users { get; set; }
	}
}