﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		TrackBack.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            TrackBack.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;

namespace Dexter.Domain.Model {
	public partial class TrackBack : EntityBase {
		protected TrackBack ( ) {}

		internal TrackBack ( Item item, Uri url, string title ) {
			Item = item;
			Url = url;
			Title = title;
		}

		public virtual string Title { get; set; }
		public virtual Item Item { get; set; }
		public virtual string Name { get; set; }
		public virtual Uri Url { get; set; }
		public virtual string Excerpt { get; set; }
		public virtual bool IsSpam { get; set; }
	}
}
