﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		ManyToManyPluralizedTableApplier.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            ManyToManyPluralizedTableApplier.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using ConfOrm;
using ConfOrm.Shop.Inflectors;
using Dexter.Dependency;
using Dexter.Repository.NHibernate.Configuration;

namespace Dexter.Repository.NHibernate.ConfORM.DexterNaming {
	internal class ManyToManyPluralizedTableApplier : ConfOrm.Shop.InflectorNaming.ManyToManyPluralizedTableApplier
	{
		readonly INHibernateConfiguration nHibernateConfiguration;
		public ManyToManyPluralizedTableApplier ( IDomainInspector domainInspector , IInflector inflector , INHibernateConfiguration nHibernateConfiguration ) : base ( domainInspector , inflector ) {
			this.nHibernateConfiguration = nHibernateConfiguration;
		}


		public override string GetTableNameForRelation ( Relation fromRelation, Relation toRelation ) {
			return string.Concat ( nHibernateConfiguration.DatabaseTablePrefix, base.GetTableNameForRelation ( fromRelation, toRelation ) );
		}
	}
}
