﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		IDomainMapper.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            IDomainMapper.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System.Collections.Generic;
using NHibernate.Cfg.MappingSchema;

namespace Dexter.Core.Data.Repository.NHibernate.ConfORM {
	/// <summary>
	/// The contracts for the domain mapper. This contract is required for 'ConfORM Toolbox Mapping Explorer'.
	/// </summary>
	public interface IDomainMapper {
		/// <summary>
		/// Gets the HBM mapping.
		/// </summary>
		/// <value>The HBM mapping.</value>
		HbmMapping HbmMapping { get; }

		/// <summary>
		/// Gets the HBM mappings.
		/// </summary>
		/// <value>The HBM mappings.</value>
		IEnumerable <HbmMapping> HbmMappings { get; }
	}
}
