﻿using System;
using Dexter.CallContext;
using Dexter.Logger.Contracts;

namespace Dexter.Services.Implementation {
	public class ExportUrlBuilder : UrlBuilderBase, IExportUrlBuilder {
		public ExportUrlBuilder ( ILogger logger , IDexterContext dexterContext , IConfigurationService configurationService ) : base ( logger , dexterContext , configurationService ) {}

		public string CommentExportXml ( string fileName ) {
			return ToCaseConfiguration ( new Uri ( HomePage , string.Format ( "Export/Xml/{0}" , fileName ) ) );
		}
	}
}
