﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		IEmailTemplateService.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            IEmailTemplateService.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 

namespace Dexter.Services {
	/// <summary>
	/// 	Rapresents the contract of the email templating service.
	/// </summary>
	public interface IEmailTemplateService {
		/// <summary>
		/// 	Retrieve the template.
		/// </summary>
		/// <param name = "name">The name.</param>
		/// <returns>An instance of concrete implementaiton of <see cref = "IEmailTemplate" />. The result could be null if the template doesn't exist.</returns>
		IEmailTemplate GetTemplate ( string name );
	}
}
