﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		IThemeManager.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            IThemeManager.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 

namespace Dexter.Services
{
	/// <summary>
	/// The contract for the Theme Manager implementation
	/// </summary>
	public interface IThemeManager
	{
		/// <summary>
		/// 	Gets the name of the theme by.
		/// </summary>
		/// <param name = "name">The name.</param>
		/// <returns></returns>
		IBlogTheme GetThemeByName ( string name );
	}
}
