﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		IUrlBuilder.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            IUrlBuilder.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 

namespace Dexter.Services {
	public interface IUrlBuilder : IUrlBuilderBase {
		IPostUrlBuilder Post { get; }
		IPageUrlBuilder Page { get; }
		ICategoryUrlBuilder Category { get;}
		ITagUrlBuilder Tag { get;}
		ICommentUrlBuilder Comment { get; }
		IBackOfficeUrlBuilder BackOffice { get; }
		IUserUrlBuilder User { get; }
		IExportUrlBuilder Export { get; }
	}
}
