﻿
namespace Dexter.Services {
	public interface IUserUrlBuilder {
		/// <summary>
		/// 	Gets the post list url.
		/// </summary>
		/// <example>
		/// 	http://dexterblogengine.com/Admin/Account/CreateUser/
		/// </example>
		string NewUser { get; }

		/// <summary>
		/// 	Gets the post list url.
		/// </summary>
		/// <example>
		/// 	http://dexterblogengine.com/Admin/Account/ConfirmDelete/Username/
		/// </example>
		string DeleteUser ( string username );

		/// <summary>
		/// 	Gets the post list url.
		/// </summary>
		/// <example>
		/// 	http://dexterblogengine.com/Admin/Account/ChangePassword/Username/
		/// </example>
		string ChangeUserPassword ( string username );

		/// <summary>
		/// 	Gets the post list url.
		/// </summary>
		/// <example>
		/// 	http://dexterblogengine.com/Admin/Account/ChangePermissions/Username/
		/// </example>
		string ChangePermissions ( string username );
	}
}
