﻿using System;
using System.Configuration;

namespace Dexter.Web.Mvc.Configuration.OnPremise {
	public class ResourceConfiguration : IResourceConfiguration {
		readonly static ResourceConfigurationSection section;

		static ResourceConfiguration ( ) {
			section = ConfigurationManager.GetSection ( "dexter/nhibernate" ) as ResourceConfigurationSection ?? new ResourceConfigurationSection ( );
		}

		public bool Minify {
			get { return section.Minify; }
		}

		public TimeSpan CacheFor {
			get { return section.CacheFor; }
		}

		public bool ThrowExceptionOnMissingFiles {
			get { return section.ThrowExceptionOnMissingFiles; }
		}
	}
}
