﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		Page.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System;
using CookComputing.XmlRpc;

namespace Dexter.Web.MetaWeblogApi.Domain {
	[XmlRpcMissingMapping ( MappingAction.Ignore )]
	public class Page {
		public string[] categories;
		[XmlRpcMissingMapping ( MappingAction.Error )] [XmlRpcMember ( Description = "Required when posting." )] public DateTime dateCreated;
		public DateTime date_created_gmt;

		[XmlRpcMissingMapping ( MappingAction.Error )] [XmlRpcMember ( Description = "Required when posting." )] public string description;

		public string excerpt;
		public string link;

		public int mt_allow_comments;

		public int mt_allow_pings;
		public int page_id;

		public string page_status;
		public string permalink;
		public string text_more;
		[XmlRpcMissingMapping ( MappingAction.Error )] [XmlRpcMember ( Description = "Required when posting." )] public string title;
		public string user_id;

		public string wp_author;
		public string wp_author_display_name;

		/// <summary>
		/// 	id of the post author (used by wlw)
		/// </summary>
		public string wp_author_id;

		public string wp_page_order;

		// it should have been 'int', but WLW complaining
		public string wp_page_parent_id;

		public string wp_page_parent_title;

		// it should have been 'int', but WLW complaining


//array custom_fields
//struct
//string id
//string key
//string value

		public string wp_page_template;
		public string wp_password;
		public string wp_slug;
	}
}
