﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		BlogRollHelper.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            BlogRollHelper.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using Dexter.Domain.Model;

namespace Dexter.Repository.NHibernate.Test.Repositories
{
	#region Usings

	using System;
	using System.Collections.Generic;





	#endregion

	public static class BlogRollHelper
	{
		public static IList<BlogRoll> AddNewBlogRollsToRepository ( this BaseNHibernateTest testEnvironment, int numberOfItems )
		{
			IList<BlogRoll> items = new List<BlogRoll> ();
			for ( int i = 0; i < numberOfItems; i++ )
				items.Add ( AddNewBlogRollToRepository ( testEnvironment ) );

			return items;
		}

		public static BlogRoll AddNewBlogRollToRepository ( this BaseNHibernateTest testEnvironment )
		{
			BlogRoll itemToSave = GetNewBlogRoll ( testEnvironment );

			testEnvironment.Persist ( itemToSave );

			return itemToSave;
		}

		public static BlogRoll GetNewBlogRoll ( this BaseNHibernateTest testEnvironment )
		{
			return new BlogRoll ( Guid.NewGuid ().ToString () , new Uri("http://www.tostring.it/" + Guid.NewGuid ()) );
		}
	}
}
