﻿using System;
using System.Collections.Generic;

namespace Dexter.Plugins.Linkflood {
	[Serializable]
	public class Configuration {
		public string Owner { get; set; }
		public bool CreateRecapPost { get; set; }
		public int FetchMinutesFrequency { get; set; }
		public List<Hashtag> Categories { get; set; }
		public GrabCriteria GrabCriteria { get; set; }
		public string PageTitle { get; set; }
		public string PageSlug { get; set; }
		public string SubPageTitleFormat { get; set; }
		public string SubPageSlugFormat { get; set; }
	}

	[Serializable]
	public class Hashtag {
		public string[] HashTags { get; set; }
		public string CategoryName { get; set; }
	}

	[Serializable]
	public class GrabCriteria {
		public string[] HashTags { get; set; }
		public string[] Mentions { get; set; }
	}
}