﻿using System;
using Dexter.PluginManager;
using Dexter.Plugins.SelectiveTwitter;

namespace Dexter.Plugins.Linkflood {
	public class PluginInfo : IPluginInfo {
		readonly Guid identifier = new Guid(Constants.PLUGIN_IDENTIFIER);
		readonly Uri website = new Uri("http://www.tostring.it");

		#region IPluginInfo Members

		public string Name {
			get { return "Selective Twitter Plugin"; }
		}

		public string Author {
			get { return "Ugo Lattanzi (imperugo)"; }
		}

		public Uri WebSite
		{
			get { return website; }
		}

		public string Description {
			get { return string.Empty; }
		}

		public Guid Identifier {
			get { return identifier; }
		}

		public Version Version {
			get { return new Version(1, 0, 0, 0); }
		}

		public Type ImplementedBy {
			get { return typeof (SelectiveTwitterPlugin); }
		}

		public Type IPluginConfiguration {
			get { return typeof (PluginConfiguration); }
		}

		#endregion
	}
}