﻿using System;
using Dexter.PluginManager;

namespace Dexter.Plugins.IEPinning {
	public class PluginInfo : IPluginInfo {
		readonly Guid identifier = new Guid("f732c566-4bf8-4d96-9f08-3abae2e7339c");
		readonly Uri website = new Uri("http://www.tostring.it");

		#region IPluginInfo Members

		public string Name {
			get { return "Internet Explorer 9 Pinning"; }
		}

		public string Author
		{
			get { return "Ugo Lattanzi (imperugo)"; }
		}

		public Uri WebSite
		{
			get { return website; }
		}

		public string Description {
			get { return string.Empty; }
		}

		public Guid Identifier {
			get { return identifier; }
		}

		public Version Version {
			get { return new Version(1, 0, 0, 0); }
		}

		public Type ImplementedBy {
			get { return typeof(PinningPlugin); }
		}

		public Type IPluginConfiguration {
			get { return typeof (PluginConfiguration); }
		}

		#endregion
	}
}