﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		WebCallContext.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            WebCallContext.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using Dexter.Web.CallContext;

namespace Dexter.CallContext.Web {

	/// <summary>
	/// This class is the implementation of ICallContext
	/// </summary>
	public class WebCallContext : IWebCallContext {

		#region ICallContext Members

		/// <summary>
		/// Gets the items.
		/// </summary>
		/// <value>The items.</value>
		public object this [ string key ] {
			get { return System.Runtime.Remoting.Messaging.CallContext.LogicalGetData ( key ); }
			set { System.Runtime.Remoting.Messaging.CallContext.LogicalSetData ( key , value ); }
		}

		#endregion
	}
}
