﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		GenericEventArgs.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            GenericEventArgs.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
namespace Dexter.Core.EventArgs
{
	#region Usings

	using System;

	#endregion

	public class GenericEventArgs<T> : EventArgs
	{
		public GenericEventArgs ( T returnObject ) {
			Objects = returnObject;
		}

		/// <summary>
		/// Gets or sets the object.
		/// </summary>
		/// <value>The object.</value>
		public T Objects { get; set; }
	}
}
