﻿using System;
using System.Reflection;

namespace Dexter.Dependency {
	/// <summary>
	/// 	Contract for the IoC Framework like Castle, Unity, Spring, etc
	/// </summary>
	public interface IDexterContainer : IDexterContainerRegister, IDexterContainerResolver {
		/// <summary>
		/// 	Dispose the container.
		/// </summary>
		void Shutdown ( );

		/// <summary>
		/// 	Configures the container wirth the specified file path.
		/// </summary>
		/// <param name = "filePath">The filePath.</param>
		void Configure ( string filePath );
	}
}