﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		BlogRoll.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            BlogRoll.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System;

namespace Dexter.Domain.Model {
	public partial class BlogRoll : EntityBase {
		protected BlogRoll ( ) {}

		internal BlogRoll ( string name , Uri link ) {
			Name = name;
			Link = link;
		}

		public virtual string Name { get; set; }
		public virtual Uri Link { get; set; }
		public virtual bool? IsMyBlog { get; set; }
		public virtual BlogRollFriendType? FriendType { get; set; }
		public virtual bool? Met { get; set; }
		public virtual bool? CoWorker { get; set; }
		public virtual bool? Colleague { get; set; }
		public virtual BlogRollGeographicalType? GeographicalType { get; set; }
		public virtual BlogRollFamilyType? FamilyType { get; set; }
		public virtual bool? Muse { get; set; }
		public virtual bool? Crush { get; set; }
		public virtual bool? Date { get; set; }
		public virtual bool? Sweetheart { get; set; }
		public virtual int Position { get; set; }
	}
}
