﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		DomainEntity.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            DomainEntity.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using Dexter.Dependency;
using Dexter.Logger.Concretes;
using Dexter.Logger.Contracts;

namespace Dexter.Domain.Model {
	public class DomainEntity {
		static DomainEntity ( ) {
			Logger = DexterContainer.Resolve <ILogger> ( ) ?? NullLogger.Instance;
		}

		internal static ILogger Logger { get; private set; }
	}
}
