﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		EmailMessage.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            EmailMessage.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
using System.Net.Mail;

namespace Dexter.Domain.Model {
	public partial class EmailMessage : EntityBase {
		internal EmailMessage ( MailAddress @from , MailAddress to , string subject , string body ) {
			Sender = from;
			MailTo = to;
			Subject = subject;
			Body = body;
		}

		protected EmailMessage ( ) {}

		public virtual MailAddress Sender { get; set; }
		public virtual MailAddress MailTo { get; set; }
		public virtual MailAddress Cc { get; set; }
		public virtual MailAddress Bcc { get; set; }
		public virtual string Subject { get; set; }
		public virtual string Body { get; set; }
		public virtual string Status { get; set; }
		public virtual int RetryCount { get; set; }
	}
}
