﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		EncryptDataFormat.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            EncryptDataFormat.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion
 
namespace Dexter.Domain.Model {
	/// <summary>
	/// 	Passwords are not encrypted.
	/// </summary>
	public enum EncryptDataFormat : short {
		/// <summary>
		/// 	Passwords are not encrypted.
		/// </summary>
		Clear = 0 ,
		/// <summary>
		/// 	Passwords are encrypted using the encryption settings determined by the machineKey Element (ASP.NET Settings Schema) element configuration.
		/// </summary>
		Encrypted = 1 ,
		/// <summary>
		/// 	Passwords are encrypted one-way using the SHA1 hashing algorithm.
		/// </summary>
		Hashed = 2
	}
}
