﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		Plugin.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System;
using System.Collections.Generic;

namespace Dexter.Domain.Model {
	public partial class Plugin : EntityBase {
		protected Plugin ( ) {}

		protected Plugin(Guid uniqueId, string name, System.Version version, string registrationName) {
			Identifier = uniqueId;
			Name = name;
			Version = version;
			RegistrationName = registrationName;
		}

		public virtual Guid Identifier { get; protected set; }
		public virtual string Name { get; protected set; }
		public virtual string Author { get; set; }
		public virtual Uri Website { get; set; }
		public virtual string Description { get; set; }
		public virtual string RegistrationName{ get; protected set; }
		public virtual string SerializedConfiguration{ get; set; }
		public virtual System.Version Version { get; protected set; }
		public virtual bool Enabled { get; protected set; }
		public virtual bool IsInstalled { get; protected set; }
		public virtual IEnumerable<PluginData> Data { get; protected set; }
	}
}
