﻿using System;

namespace Dexter.Logger.Contracts {
	///<summary>
	///	The contract for the LoggerFactory implementation
	///</summary>
	public interface ILoggerFactory {
		/// <summary>
		/// 	Creates the specified name.
		/// </summary>
		/// <param name = "name">The name.</param>
		/// <returns></returns>
		ILogger Create ( string name );

		/// <summary>
		/// 	Creates the specified type.
		/// </summary>
		/// <param name = "type">The type.</param>
		/// <returns></returns>
		ILogger Create ( Type type );
	}
}