﻿using System.Web;
using Dexter.Dependency;
using Dexter.Web.Mvc.ViewModel.ViewsData;

namespace Dexter.PluginManager {
	public interface IPlugin {
		void Setup();
		object GetConfiguration();
		void RegisterServices(IDexterContainer container);
		void ChangeModel(HttpContextBase context, PublicBaseViewData baseViewData);
	}
}