﻿using System;
using System.Collections.Generic;

namespace Dexter.PluginManager {
	public interface IPluginManager {
		void LoadPlugins();
		void LoadPlugins(TimeSpan deplay);
		void EnablePlugins();

		IEnumerable<IPlugin> GetRenderPlugins();
		IPluginInfo GetPluginInfo(Guid identifier);
		IPluginConfiguration GetPluginConfiguration(Guid identifier);
	}
}