﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		TruncatedStrings.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            TruncatedStrings.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System;

namespace Dexter.Repository.NHibernate.UserTypes {
	
	[Serializable]
	internal class TruncatedString500 : AbstractTruncatedStringType {
		/// <summary>
		/// Gets the length.
		/// </summary>
		/// <value>The length.</value>
		public override int Length {
			get { return 500; }
		}

		/// <summary>
		/// When implemented by a class, gets the abbreviated name of the type.
		/// </summary>
		/// <value>The NHibernate type name.</value>
		public override string Name {
			get { return "TruncatedString500"; }
		}
	}

	internal class TruncatedString100 : AbstractTruncatedStringType {
		/// <summary>
		/// Gets the length.
		/// </summary>
		/// <value>The length.</value>
		public override int Length {
			get { return 100; }
		}

		/// <summary>
		/// When implemented by a class, gets the abbreviated name of the type.
		/// </summary>
		/// <value>The NHibernate type name.</value>
		public override string Name {
			get { return "TruncatedString100"; }
		}
	}

	internal class TruncatedString10 : AbstractTruncatedStringType {
		/// <summary>
		/// Gets the length.
		/// </summary>
		/// <value>The length.</value>
		public override int Length {
			get { return 10; }
		}

		/// <summary>
		/// When implemented by a class, gets the abbreviated name of the type.
		/// </summary>
		/// <value>The NHibernate type name.</value>
		public override string Name {
			get { return "TruncatedString10"; }
		}
	}
}
