﻿namespace Dexter.Scheduler {
	/// <summary>
	/// The contract for periodically jobs.
	/// </summary>
	public interface IFrequentlyJob : IJob {
		/// <summary>
		/// The elapsed minutes from a job execution and the next one.
		/// </summary>
		/// <value>The minutes.</value>
		int Minutes { get; }
	}
}