﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		CommentUrlBuilder.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using Dexter.Domain.Model;
using Dexter.Logger.Contracts;
using Dexter.Services;

namespace Dexter.Services.Implementation {
	public class CommentUrlBuilder : ICommentUrlBuilder {
		readonly ILogger logger;

		/// <summary>
		/// 	Initializes a new instance of the <see cref = "CommentUrlBuilder" /> class.
		/// </summary>
		/// <param name = "logger">The logger.</param>
		public CommentUrlBuilder ( ILogger logger ) {
			this.logger = logger;
		}

		public virtual string Approve ( Comment item ) {
			logger.Warn ( "Method not implemented!" );
			return null;
		}

		public virtual string Delete ( Comment item ) {
			logger.Warn ( "Method not implemented!" );
			return null;
		}

		public virtual string MarkAsSpam ( Comment item ) {
			logger.Warn ( "Method not implemented!" );
			return null;
		}
	}
}
