﻿using System;
using Dexter.DataTransferObject;

namespace Dexter.Services
{
	/// <summary>
	/// 	The Contract of Import Service Gateway
	/// </summary>
	public interface IImportService
	{
		/// <summary>
		/// 	Imports from blog ml async.
		/// </summary>
		/// <param name = "file">The file.</param>
		IAsyncResult ImportFromBlogMlAsync(byte[] file);

		/// <summary>
		/// 	Imports from blog ml.
		/// </summary>
		/// <param name = "obj">The obj.</param>
		ImportResultDto ImportFromBlogMl(object obj);
	}
}