﻿
using Dexter.Domain.Model;

namespace Dexter.Services {
	public interface ISetupService {
		/// <summary>
		/// Gets a value indicating whether this instance is installed.
		/// </summary>
		/// <value>
		/// 	<c>true</c> if this instance is installed; otherwise, <c>false</c>.
		/// </value>
		bool IsInstalled { get; }

		/// <summary>
		/// Inizializeds the schema of the database;
		/// </summary>
		void Inizialize ( SiteConfiguration configuration , bool createSchema , string connectionString , string username , string password , string email , string databaseType , string databaseSchema , string databaseTablePrefix );
	}
}
