﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		ITemplate.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 //   File:            ITemplate.cs
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion



namespace Dexter.Services
{
	/// <summary>
	/// The base contract for all template contracts like <see cref="IEmailTemplate"/>.
	/// </summary>
	public interface ITemplate
	{
		/// <summary>
		/// Gets the name of the template.
		/// </summary>
		/// <example>
		///		Dexter.User.Notification.NewUserRegistered
		/// </example>
		/// <value>The name.</value>
		string Name { get; }
	}
}
