﻿using System;

namespace Dexter.Storage {
	public interface IStorageFolder {
		/// <summary>
		/// 	Gets the path.
		/// </summary>
		/// <returns></returns>
		string GetPath ( );

		/// <summary>
		/// 	Gets the name.
		/// </summary>
		/// <returns></returns>
		string GetName ( );

		/// <summary>
		/// 	Gets the size.
		/// </summary>
		/// <returns></returns>
		long GetSize ( );

		/// <summary>
		/// 	Gets the last updated.
		/// </summary>
		/// <returns></returns>
		DateTime GetLastUpdated ( );

		/// <summary>
		/// 	Gets the parent.
		/// </summary>
		/// <returns></returns>
		IStorageFolder GetParent ( );
	}
}