﻿using System.Collections.Generic;
using Dexter.DataTransferObject;
using Dexter.Domain.Model;
using Dexter.Services;
using Dexter.Web.Mvc.ViewModel.Backoffice.Binders;
using Dexter.Web.Mvc.ViewModel.ViewsData;
using Dexter.Web.Mvc.ViewsData;
using Dexter.Web.Utils;

namespace Dexter.Web.Mvc.ViewModel.Backoffice.ViewsData.CategoryController {
	public class CategoryEditorViewData : BackOfficeBaseViewData {
		public CategoryEditorViewData ( IWebUtils webUtils , SiteConfiguration configuration , IUrlBuilder urlBuilder ) : base ( webUtils , configuration , urlBuilder ) {}


		public IEnumerable<CategoryDto> Categories { get; set; }
		public CategoryBinder Category { get; set; }
	}
}