﻿using System.Collections.Generic;
using Dexter.Domain.Model;
using Dexter.Domain.Results;
using Dexter.Services;
using Dexter.Web.Mvc.ViewModel.Backoffice.Binders;
using Dexter.Web.Mvc.ViewModel.Backoffice.ViewsData.PostController;
using Dexter.Web.Mvc.ViewModel.ViewsData;
using Dexter.Web.Mvc.ViewsData;
using Dexter.Web.Utils;

namespace Dexter.Web.Mvc.ViewModel.Backoffice.ViewsData.HomeController {
	public class HomeIndexViewData : BackOfficeBaseViewData {
		public HomeIndexViewData ( IWebUtils webUtils , SiteConfiguration configuration , IUrlBuilder urlBuilder ) : base ( webUtils , configuration , urlBuilder ) {}

		public string[] Hours {
			get { return PostEditorViewData.HoursValues; }
		}

		public string[] Minutes {
			get { return PostEditorViewData.MinutesValues; }
		}


		public IPagedResult<Post> FuturePosts { get; set; }
		public IEnumerable<Category> Categories { get; set; }
		public FastPostBinder Post { get; set; }
	}
}