﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using Dexter.Domain.Model;
using Dexter.Services;
using Dexter.Web.Mvc.ViewModel.Backoffice.Binders;
using Dexter.Web.Mvc.ViewModel.ViewsData;
using Dexter.Web.Mvc.ViewsData;
using Dexter.Web.Utils;

namespace Dexter.Web.Mvc.ViewModel.Backoffice.ViewsData.SettingsController {
	public class SiteViewData : BackOfficeBaseViewData {
		public SiteViewData ( IWebUtils webUtils , SiteConfiguration configuration , IUrlBuilder urlBuilder ) : base ( webUtils , configuration , urlBuilder ) {}

		public ConfigurationBinder ConfigurationBinder { get; set; }
		public ReadOnlyCollection<TimeZoneInfo> TimesZone { get; set; }
		public CultureInfo[] CultureInfos { get; set; }
		public string[] Languages { get; set; }
		public string[] Themes { get; set; }
		public string[] RecaptchaThemes { get; set; }
		public Dictionary<int, string> ModerationType { get; set; }
	}
}