﻿using System;
using System.Collections.ObjectModel;
using System.Globalization;
using Dexter.Web.Mvc.ViewModel.Backoffice.Binders;

namespace Dexter.Web.Mvc.ViewModel.Backoffice.ViewsData.SetupController {
	public class WizardViewData {
		public WizardViewData ( ) {
			DataBaseTypes = new DataBaseType[] {
				new DataBaseType ( "SqlServer/Express 2000", "MsSql2000" ), 
				new DataBaseType ( "SqlServer/Express 2005", "MsSql2005" ), 
				new DataBaseType ( "SqlServer/Express 2008", "MsSql2008" ), 
				new DataBaseType ( "SqlServer Azure", "Azure" ), 
			};

		}

		public SetupBinder Setup { get; set; }
		public ReadOnlyCollection<TimeZoneInfo> TimesZone { get; set; }
		public CultureInfo[] CultureInfos { get; set; }
		public string[] Languages { get; set; }
		public DataBaseType[] DataBaseTypes { get; set; }
	}

	public class DataBaseType {
		public DataBaseType ( string displayName , string databaseValue ) {
			DisplayName = displayName;
			DatabaseValue = databaseValue;
		}

		public string DisplayName { get; protected set; }
		public string DatabaseValue { get; protected set; }
	}
}
