﻿using Dexter.DataTransferObject;
using Dexter.Domain.Model;
using Dexter.Domain.Results;
using Dexter.Services;
using Dexter.Web.Mvc.ViewModel.ViewsData;
using Dexter.Web.Mvc.ViewsData;
using Dexter.Web.Utils;

namespace Dexter.Web.Mvc.ViewModel.FrontEnd.CategoryController {
	public class CategoryArchiveViewData : PublicBaseViewData {
		public CategoryArchiveViewData ( IWebUtils webUtils , SiteConfiguration configuration , IUrlBuilder urlBuilder ) : base ( webUtils , configuration , urlBuilder ) {}

		public CategoryDto FilterCategory { get; set; }
		public IPagedResult <PostDto> Posts { get; set; }
	}
}
