﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		LegacyRoute.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System.Web.Routing;

namespace Dexter.Web.Mvc.Routing.Routes {
	public class LegacyRoute : Route {
		/// <summary>
		/// 	Initializes a new instance of the <see cref = "LegacyRoute" /> class.
		/// </summary>
		/// <param name = "url">The URL.</param>
		/// <param name = "redirectActionName">Name of the redirect action.</param>
		/// <param name = "routeHandler">The route handler.</param>
		public LegacyRoute ( string url , string redirectActionName , IRouteHandler routeHandler )
			: base ( url , routeHandler ) {
			RedirectActionName = redirectActionName;
		}

		public string RedirectActionName { get; set; }
	}
}
