﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		ViewLocation.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System.Globalization;

namespace Dexter.Web.Mvc.ViewEngines {
	internal class ViewLocation {
		protected readonly string VirtualPathFormatString;

		public ViewLocation ( string virtualPathFormatString ) {
			this.VirtualPathFormatString = virtualPathFormatString;
		}

		public virtual string Format ( string viewName , string controllerName , string areaName , string themeName ) {
			return string.Format ( CultureInfo.InvariantCulture , this.VirtualPathFormatString , new object[] {
				viewName , controllerName , themeName
			} );
		}
	}
}
