﻿ #region Disclaimer/Info
 
 /////////////////////////////////////////////////////////////////////////////////////////////////
 //
 //   File:		IWebUtils.cs
 //   Website:		http://dexterblogengine.com/
 //   Authors:		http://dexterblogengine.com/About.ashx
 //   Rev:		1
 //   Created:		19/01/2011
 //   Last edit:		19/01/2011
 //   License:		GNU Library General Public License (LGPL)
 // 
 //   For updated news and information please visit http://dexterblogengine.com/
 //   Dexter is hosted to Codeplex at http://dexterblogengine.codeplex.com
 //   For any question contact info@dexterblogengine.com
 //
 ///////////////////////////////////////////////////////////////////////////////////////////////////
 
 #endregion

using System;
using System.Web;

namespace Dexter.Web.Utils {
	public interface IWebUtils {
		HttpContextBase Contex { get; }
		string DownloadWebPage ( Uri url );
		void SendTrackBack ( TrackBackMessage message );
		void SendPingBack ( Uri sourceUrl , Uri targetUrl );
		string GetCookieValue ( string key );
		void SetCookieValue ( string key , object value );
	}
}
