﻿using System.Text;
using log4net.Appender;
using log4net.Core;

namespace Dexter.Dependency.Autofac.Test.Logging.Helpers {
	public class Log4NetMemoryAppender : AppenderSkeleton {
		public static StringBuilder Sb = new StringBuilder ( );

		protected override bool RequiresLayout {
			get { return true; }
		}

		protected override void Append ( LoggingEvent loggingEvent ) {
			Sb.Append ( loggingEvent.RenderedMessage );
			if ( loggingEvent.ExceptionObject != null ) {
				Sb.AppendFormat ( "\n{0}" , loggingEvent.ExceptionObject );
			}
		}
	}
}
