﻿using NUnit.Framework;

namespace Dexter.Repository.NHibernate.Test {
	[TestFixture]
	public class ConfigurationTest : BaseNHibernateTest {
		public ConfigurationTest ( ) : base ( false ) {}

		[Test]
		public void CreateSessionFactoryShouldNotThrowExceptions() {
			using ( var session = base.GetNewSession ) {
				
			}
		}

		[Test]
		public void DropAndCreateDataBaseSchema() {
			base.DropSchema();
			base.CreateSchema();
		}

		[Test]
		public void CreateDataBaseSchema()
		{
			base.CreateSchema();
		}

		[Test]
		public void DropDataBaseSchema()
		{
			base.DropSchema();
		}
	}
}
